#include <stdio.h>
#include "my_index.h"

int my_index(char *c)
{
  int index = -1;
  if(*c >= 'a' && *c <= 'z') index = (*c - 'a');      /* 0..25 */
  if(*c >= 'A' && *c <= 'Z') index = (*c - 'a' + 32); /* 0..25 also */
  if(*c >= '0' && *c <= '9') index = (*c - '0' + 26); /* digits are 26..35 */
  if(index == -1)
    switch(*c)
      {
      case '\'': index = 36; break;
      case ' ':  index = 37; break;
      case '-':  index = 38; break;
      case ':':  index = 39; break;
      case '.':  index = 40; break;
      case ',':  index = 41; break;
      case '"':  index = 42; break;
      case '!':  index = 43; break;
      case '/':  index = 44; break;
      case '(':  index = 45; break;
      case ')':  index = 46; break;
      case '?':  index = 47; break;
      case '&':  index = 48; break;
      default:               break;
      }
  
  return index;
}
