typedef struct dictstruct {
int word;        /* pointer to this node ends a valid word? */
int id;          /* number associated with this node if word == 1 */
struct dictstruct **link; /* var. sized array of dictstruct pointers */
} dictnode;

dictnode *init_dict(unsigned int alphabet_size, int (*indexer)(char *));
dictnode *newnode(void);
void dealloc_dict(dictnode *dict);
int get_index(char *c);
int insert_phrase(dictnode *dict, char *phrase, int id);
int lookup(dictnode *dictionary, char *phrase);
int alookup(dictnode *dictionary, char *phrase, int *errorcount);
